Branches
Branches represent the physical locations or operational hubs from which your business operates. Effective branch management is key to organizing your teams, fleets, and daily tasks. This guide will walk you through how to manage your branches within the system.
🔗 Click here to know more about branches.
Create Branch
Note: Ensure the branch IDs are unique and coordinates are accurate for proper geolocation services.
Parameters
branch
dictionary
POST/v1/branches
🇪🇺 EUbash
curl https://eu.api.lynxo.ai/v1/branches \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR....." \
-H "Content-Type: application/json" \
-X POST \
-d '{"branch":{"name":"Jeddah Central","id":"BR005","time_zone":"Asia/Riyadh","active":true,"formatted_address":"King Abdulaziz Road, Al Murjan, Jeddah 23714, Saudi Arabia","rider_notes":"Enter through the side delivery gate.","coordinates":{"latitude":21.587069,"longitude":39.168575},"contacts":[{"name":"Thaha","phone":"+966555555555","work_timings":{"from":"09:00 AM","to":"05:00 PM"},"work_days":["monday","tuesday","wednesday","thursday","sunday"]}],"delivery_zones":{"type":"FeatureCollection","features":[{"id":"zone_jeddah_1","type":"Feature","geometry":{"type":"Polygon","coordinates":[[[39.168575,21.587069],[39.168575,21.578751],[39.187253,21.578751],[39.187253,21.587069],[39.168575,21.587069]]]},"properties":{}}]}}}'RESPONSE
{
"branch": {
"id": "BR005"
}
}